Bug 863181 - [abrt] PackageKit-0.8.4-1.fc18: g_hash_table_resize: Process /usr/libexec/packagekitd was killed by signal 6 (SIGABRT)
[abrt] PackageKit-0.8.4-1.fc18: g_hash_table_resize: Process /usr/libexec/pac...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zif (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:4a38c28330048a508600ebf13ea...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 11:45 EDT by D. Charles Pyle
Modified: 2014-02-05 17:49 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:49:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.28 KB, text/plain)
2012-10-04 11:45 EDT, D. Charles Pyle
no flags Details
File: environ (97 bytes, text/plain)
2012-10-04 11:45 EDT, D. Charles Pyle
no flags Details
File: event_log (13.41 KB, text/plain)
2012-10-04 11:45 EDT, D. Charles Pyle
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-04 11:45 EDT, D. Charles Pyle
no flags Details
File: backtrace (165.36 KB, text/plain)
2012-10-04 11:45 EDT, D. Charles Pyle
no flags Details
File: cgroup (154 bytes, text/plain)
2012-10-04 11:45 EDT, D. Charles Pyle
no flags Details
File: maps (34.46 KB, text/plain)
2012-10-04 11:45 EDT, D. Charles Pyle
no flags Details
File: dso_list (6.23 KB, text/plain)
2012-10-04 11:45 EDT, D. Charles Pyle
no flags Details
File: build_ids (2.60 KB, text/plain)
2012-10-04 11:45 EDT, D. Charles Pyle
no flags Details
File: var_log_messages (14.46 KB, text/plain)
2012-10-04 11:45 EDT, D. Charles Pyle
no flags Details
File: open_fds (11.14 KB, text/plain)
2012-10-04 11:45 EDT, D. Charles Pyle
no flags Details

  None (edit)
Description D. Charles Pyle 2012-10-04 11:45:06 EDT
Description of problem:
I am not sure what caused the problem other than PackageKit has been crashing in the middle of software installations and updates over the last several days, beginning after an update to PackageKit a few days ago. So far, no update has fixed this.

Version-Release number of selected component:
PackageKit-0.8.4-1.fc18

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: g_hash_table_resize
kernel:         3.6.0-3.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #6 g_hash_table_resize at ghash.c:601
: #7 g_hash_table_maybe_resize at ghash.c:630
: #8 g_hash_table_insert_node at ghash.c:907
: #9 g_hash_table_insert_internal at ghash.c:1153
: #10 zif_store_add_package at zif-store.c:120
: #11 zif_store_local_load at zif-store-local.c:413
: #12 zif_store_load at zif-store.c:283
: #13 zif_store_find_package at zif-store.c:1783
: #14 zif_store_array_find_package at zif-store-array.c:412
: #15 pk_backend_get_details_thread at pk-backend-zif.c:2637
Comment 1 D. Charles Pyle 2012-10-04 11:45:09 EDT
Created attachment 621705 [details]
File: core_backtrace
Comment 2 D. Charles Pyle 2012-10-04 11:45:11 EDT
Created attachment 621706 [details]
File: environ
Comment 3 D. Charles Pyle 2012-10-04 11:45:13 EDT
Created attachment 621707 [details]
File: event_log
Comment 4 D. Charles Pyle 2012-10-04 11:45:15 EDT
Created attachment 621708 [details]
File: limits
Comment 5 D. Charles Pyle 2012-10-04 11:45:17 EDT
Created attachment 621709 [details]
File: backtrace
Comment 6 D. Charles Pyle 2012-10-04 11:45:18 EDT
Created attachment 621710 [details]
File: cgroup
Comment 7 D. Charles Pyle 2012-10-04 11:45:20 EDT
Created attachment 621711 [details]
File: maps
Comment 8 D. Charles Pyle 2012-10-04 11:45:21 EDT
Created attachment 621712 [details]
File: dso_list
Comment 9 D. Charles Pyle 2012-10-04 11:45:23 EDT
Created attachment 621713 [details]
File: build_ids
Comment 10 D. Charles Pyle 2012-10-04 11:45:25 EDT
Created attachment 621714 [details]
File: var_log_messages
Comment 11 D. Charles Pyle 2012-10-04 11:45:27 EDT
Created attachment 621715 [details]
File: open_fds
Comment 12 Richard Hughes 2012-10-04 12:30:16 EDT
Can you try this please:

sudo debuginfo-install PackageKit zif
sudo gdb /usr/libexec/packagekitd
then into gdb:

r --backend=zif --disable-timer --verbose

Then try to make it crash like you did before.

When gdb has detected the crash, please type "bt" to get the full backtrace. Thanks.
Comment 13 D. Charles Pyle 2012-10-04 13:21:55 EDT
This is what I get from the terminal window but abrt does not mention a thing.

11:13:45	11:13:45	PackageKit          emitting changed
11:13:45	PackageKit          emitting changed
PackageKit          ignoring gradient: 0.000000
11:13:45	PackageKit          averaged 11 points
11:13:45	PackageKit          grad_ave=7.681818
11:13:45	PackageKit          elapsed=21
11:13:45	PackageKit          percentage_left=4
11:13:45	PackageKit          estimated=0.000521 seconds
11:13:45	PackageKit          this will now take ~0 seconds
11:13:45	PackageKit          emitting changed
11:13:45	PackageKit          emitting changed
11:13:45	PackageKit          adding 97 at 21 (ms)
11:13:45	PackageKit          ignoring gradient: 0.000000
11:13:45	PackageKit          averaged 11 points
11:13:45	PackageKit          grad_ave=7.636364
11:13:45	PackageKit          elapsed=22
11:13:45	PackageKit          percentage_left=3
11:13:45	PackageKit          estimated=0.000393 seconds
11:13:45	PackageKit          this will now take ~0 seconds
11:13:45	PackageKit          adding 98 at 22 (ms)
11:13:45	PackageKit          emitting changed
11:13:45	PackageKit          emitting changed
11:13:45	PackageKit          ignoring gradient: 0.000000
11:13:45	PackageKit          averaged 11 points
11:13:45	PackageKit          grad_ave=7.363636
11:13:45	PackageKit          elapsed=23
11:13:45	PackageKit          percentage_left=2
11:13:45	PackageKit          estimated=0.000272 seconds
11:13:45	PackageKit          this will now take ~0 seconds
11:13:45	PackageKit          emitting changed
11:13:45	PackageKit          emitting details
11:13:45	PackageKit          emitting changed
11:13:45	PackageKit          adding 100 at 23 (ms)
11:13:45	PackageKit          ignoring gradient: 0.000000
11:13:45	PackageKit          averaged 11 points
11:13:45	PackageKit          grad_ave=7.500000
11:13:45	PackageKit          elapsed=24
11:13:45	PackageKit          percentage_left=0
11:13:45	PackageKit          estimated=0.000000 seconds
11:13:45	PackageKit          this will now take ~0 seconds
11:13:45	PackageKit          finished role get-details
11:13:45	PackageKit          emitting changed
11:13:45	PackageKit          ignoring same allow-cancel state
11:13:45	PackageKit          emitting changed
11:13:45	PackageKit          run pk_plugin_transaction_finished_results on /usr/lib64/packagekit-plugins/libpk_plugin-scan-desktop-files.so
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
[Thread 0x7f04e94fa700 (LWP 5298) exited]
11:13:45	PackageKit          is_default: 1
11:13:45	PackageKit          type: 1
11:13:45	PackageKit          network state is wired
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          run pk_plugin_transaction_finished_results on /usr/lib64/packagekit-plugins/libpk_plugin-update-check-processes.so
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          is_default: 1
11:13:45	PackageKit          type: 1
11:13:45	PackageKit          network state is wired
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          run pk_plugin_transaction_finished_results on /usr/lib64/packagekit-plugins/libpk_plugin-check-shared-libraries-in-use.so
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          is_default: 1
11:13:45	PackageKit          type: 1
11:13:45	PackageKit          network state is wired
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          run pk_plugin_transaction_finished_end on /usr/lib64/packagekit-plugins/libpk_plugin-scan-desktop-files.so
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          is_default: 1
11:13:45	PackageKit          type: 1
11:13:45	PackageKit          network state is wired
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          run pk_plugin_transaction_finished_end on /usr/lib64/packagekit-plugins/libpk_plugin-update-package-cache.so
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          is_default: 1
11:13:45	PackageKit          type: 1
11:13:45	PackageKit          network state is wired
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          run pk_plugin_transaction_finished_end on /usr/lib64/packagekit-plugins/libpk_plugin-clear-firmware-requests.so
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          is_default: 1
11:13:45	PackageKit          type: 1
11:13:45	PackageKit          network state is wired
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          run pk_plugin_transaction_finished_end on /usr/lib64/packagekit-plugins/libpk_plugin-systemd-updates.so
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          is_default: 1
11:13:45	PackageKit          type: 1
11:13:45	PackageKit          network state is wired
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          run pk_plugin_transaction_finished_end on /usr/lib64/packagekit-plugins/libpk_plugin_scripts.so
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          is_default: 1
11:13:45	PackageKit          type: 1
11:13:45	PackageKit          network state is wired
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          run pk_plugin_transaction_finished_end on /usr/lib64/packagekit-plugins/libpk_plugin-clear-system-update.so
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          is_default: 1
11:13:45	PackageKit          type: 1
11:13:45	PackageKit          network state is wired
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          only caching update lists
11:13:45	PackageKit          backend was running for 70 ms
11:13:45	PackageKit          get_time_since_action=get-details
11:13:45	PackageKit          timespec=2012-10-04T17:13:29.036401Z, difference=16
11:13:45	PackageKit          reset action time=get-details to 2012-10-04T17:13:45.907676Z
11:13:45	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:13:45	PackageKit          emitting finished 'success', 70
11:13:45	PackageKit          transaction /4646_deaeecce completed, marking finished
11:13:45	PackageKit          transaction now finished
11:13:45	PackageKit          emmitting ::changed
11:13:45	PackageKit          emitting transaction-list-changed
11:13:45	PackageKit          2 transactions in list, 0 committed but not finished
11:13:49	PackageKit          checking consistency as length 2
11:13:49	PackageKit          State:
0	unknown	/4640_adbcaeab	state[new] exclusive[0] background[0]
1	get-details	/4646_deaeecce	state[finished] exclusive[0] background[0]

11:13:49	PackageKit          1 have an unknown role (CreateTransaction then nothing?)
11:13:49	PackageKit          1 have not been committed and may be pending auth
11:13:51	PackageKit          transaction /4646_deaeecce completed, removing
11:13:51	PackageKit          remove transaction /4646_deaeecce, item 0x1f3f1b0
11:13:51	PackageKit          emitting destroy /4646_deaeecce
11:13:54	PackageKit          CreateTransaction method called
11:13:54	PackageKit          job count now 4647
11:13:54	PackageKit          deferring low priority write until idle
11:13:54	PackageKit          trying to open database '/var/lib/PackageKit/transactions.db'
11:13:54	PackageKit          job count is now at 4646
11:13:54	PackageKit          transaction now new
11:13:54	PackageKit          setting sender to :1.157
11:13:54	PackageKit          uid=1000, count=1
11:13:54	PackageKit          adding transaction 0x1f1c380, item 0x129c7120
11:13:54	PackageKit          sending object path: '/4647_edccbebb'
11:13:54	PackageKit          doing deferred write syncronous
11:13:54	PackageKit          SetHints method called: locale=en_US.utf8, background=false, interactive=true
11:13:54	PackageKit          InstallPackages method called: typespeed;0.6.5-6.fc18;x86_64;fedora
11:13:54	PackageKit          changing transaction to exclusive mode
11:13:54	PackageKit          transaction now waiting-for-auth
11:13:54	PackageKit          emitting changed
11:13:54	PackageKit          emitting changed
11:13:59	PackageKit          checking consistency as length 2
11:13:59	PackageKit          State:
0	unknown	/4640_adbcaeab	state[new] exclusive[0] background[0]
1	install-packages	/4647_edccbebb	state[waiting-for-auth] exclusive[1] background[0]

11:13:59	PackageKit          1 have an unknown role (CreateTransaction then nothing?)
11:13:59	PackageKit          1 have not been committed and may be pending auth
11:14:00	PackageKit          /4647_edccbebb is now background: 0
11:14:00	PackageKit          marking transaction /4647_edccbebb as committed
11:14:00	PackageKit          transaction now committed
11:14:00	PackageKit          transaction now ready
11:14:00	PackageKit          emitting changed
11:14:00	PackageKit          emitting changed
11:14:00	PackageKit          emitting ::changed
11:14:00	PackageKit          emitting transaction-list-changed
11:14:00	PackageKit          2 transactions in list, 1 committed but not finished
11:14:00	PackageKit          running /4647_edccbebb
11:14:00	PackageKit          schedule idle running /4647_edccbebb
11:14:00	PackageKit          transaction now running
11:14:00	PackageKit          adding transaction /4647_edccbebb
11:14:00	PackageKit          actually running /4647_edccbebb
11:14:00	PackageKit          locale changed to en_US.utf8
11:14:00	PackageKit          frontend_socket changed to (null)
11:14:00	PackageKit          emitting changed
11:14:00	PackageKit          ProxyHTTP read error: Key file does not have key 'ProxyHTTP'
11:14:00	PackageKit          ProxyHTTPS read error: Key file does not have key 'ProxyHTTPS'
11:14:00	PackageKit          ProxyFTP read error: Key file does not have key 'ProxyFTP'
11:14:00	PackageKit          ProxySOCKS read error: Key file does not have key 'ProxySOCKS'
11:14:00	PackageKit          NoProxy read error: Key file does not have key 'NoProxy'
11:14:00	PackageKit          PAC read error: Key file does not have key 'PAC'
11:14:00	PackageKit          install uid now 1000
11:14:00	PackageKit          install cmdline now PackageKit: install-packages
11:14:00	PackageKit          run pk_plugin_transaction_run on /usr/lib64/packagekit-plugins/libpk_plugin-no-update-process.so
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          is_default: 1
11:14:00	PackageKit          type: 1
11:14:00	PackageKit          network state is wired
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          run pk_plugin_transaction_run on /usr/lib64/packagekit-plugins/libpk_plugin-check-shared-libraries-in-use.so
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          is_default: 1
11:14:00	PackageKit          type: 1
11:14:00	PackageKit          network state is wired
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          run pk_plugin_transaction_run on /usr/lib64/packagekit-plugins/libpk_plugin_scripts.so
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          is_default: 1
11:14:00	PackageKit          type: 1
11:14:00	PackageKit          network state is wired
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          is_default: 1
11:14:00	PackageKit          type: 1
11:14:00	PackageKit          network state is wired
11:14:00	PackageKit          setting role to install-packages
11:14:00	PackageKit          setting role for /4647_edccbebb to install-packages
11:14:00	PackageKit          no plugins provided pk_plugin_transaction_started
11:14:00	PackageKit          setting role to install-packages
[New Thread 0x7f04e8cf9700 (LWP 5327)]
11:14:00	PackageKit          emitting changed
11:14:00	PackageKit          emitting changed
11:14:00	PackageKit          emitting changed
11:14:00	PackageKit          adding 0 at 2 (ms)
11:14:00	PackageKit          array too small
11:14:00	PackageKit          this will now take ~0 seconds
11:14:00	PackageKit          emitting changed
11:14:00	PackageKit          emitting changed
11:14:00	PackageKit          adding 10 at 3 (ms)
11:14:00	PackageKit          averaged 1 points
11:14:00	PackageKit          not enough samples for accurate time: 1
11:14:00	PackageKit          this will now take ~0 seconds
11:14:00	PackageKit          emitting changed
11:14:00	Zif                 /var/cache/zif/x86_64/18/adobe-linux-x86_64/repomd.xml already exists
11:14:00	Zif                 restoring last action unknown
11:14:00	PackageKit          emitting changed
11:14:00	PackageKit          adding 11 at 4 (ms)
11:14:00	PackageKit          averaged 2 points
11:14:00	PackageKit          not enough samples for accurate time: 2
11:14:00	PackageKit          this will now take ~0 seconds
11:14:00	PackageKit          emitting changed
11:14:00	Zif                 /var/cache/zif/x86_64/18/fedora/repomd.xml already exists
11:14:00	PackageKit-Zif      got state checking with hint /var/cache/zif/x86_64/18/fedora/metalink.xml
11:14:00	PackageKit          emitting changed
11:14:00	Zif                 age of /var/cache/zif/x86_64/18/fedora/metalink.xml is 23 hours (max-age is 168 hours)
11:14:00	Zif                 skipping checksum check on metalink
11:14:00	Zif                 done, so cancelling action checking
11:14:00	PackageKit-Zif      got state unknown with hint (null)
11:14:00	Zif                 restoring last action unknown
11:14:00	PackageKit          emitting changed
11:14:00	PackageKit          adding 12 at 6 (ms)
11:14:00	PackageKit          averaged 3 points
11:14:00	PackageKit          not enough samples for accurate time: 3
11:14:00	PackageKit          this will now take ~0 seconds
11:14:00	PackageKit          emitting changed
11:14:00	PackageKit          emitting changed
11:14:00	PackageKit          adding 20 at 7 (ms)
11:14:00	PackageKit          averaged 4 points
11:14:00	PackageKit          grad_ave=4.875000
11:14:00	PackageKit          elapsed=7
11:14:00	PackageKit          percentage_left=80
11:14:00	PackageKit          estimated=0.016410 seconds
11:14:00	PackageKit          this will now take ~0 seconds
11:14:00	PackageKit          emitting changed
11:14:00	Zif                 Add INSTALL typespeed;0.6.5-6.fc18;x86_64;fedora [install-user-action] (with related packages none)
11:14:00	Zif                 starting resolve with 1 to install, 0 to update, and 0 to remove
11:14:00	Zif                 4376 already in world state
11:14:00	Zif                 starting INSTALL on loop 1
11:14:00	PackageKit-Zif      got state depsolving-install with hint typespeed;0.6.5-6.fc18;x86_64;fedora
11:14:00	PackageKit          emitting changed
11:14:00	Zif                 REMOVE typespeed;0.6.5-6.fc18;x86_64;fedora as nothing to do: the package typespeed-0.6.5-6.fc18.x86_64 (installed) is already installed
11:14:00	Zif                 starting UPDATE on loop 1
11:14:00	Zif                 starting REMOVE on loop 1
11:14:00	Zif                 starting CONFLICTS on loop 1
11:14:00	Zif                 loop 1 now resolved = NO
11:14:00	Zif                 starting INSTALL on loop 2
11:14:00	Zif                 starting UPDATE on loop 2
11:14:00	Zif                 starting REMOVE on loop 2
11:14:00	Zif                 starting CONFLICTS on loop 2
11:14:00	Zif                 loop 2 now resolved = YES
11:14:00	PackageKit          emitting error-code all-packages-already-installed, 'no packages will be installed, removed or updated'
11:14:00	PackageKit          finished role install-packages
11:14:00	PackageKit          ignoring same allow-cancel state
11:14:00	PackageKit          emitting changed
11:14:00	PackageKit          run pk_plugin_transaction_finished_results on /usr/lib64/packagekit-plugins/libpk_plugin-scan-desktop-files.so
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
[Thread 0x7f04e8cf9700 (LWP 5327) exited]
11:14:00	PackageKit          is_default: 1
11:14:00	PackageKit          type: 1
11:14:00	PackageKit          network state is wired
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          run pk_plugin_transaction_finished_results on /usr/lib64/packagekit-plugins/libpk_plugin-update-check-processes.so
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          is_default: 1
11:14:00	PackageKit          type: 1
11:14:00	PackageKit          network state is wired
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          run pk_plugin_transaction_finished_results on /usr/lib64/packagekit-plugins/libpk_plugin-check-shared-libraries-in-use.so
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          is_default: 1
11:14:00	PackageKit          type: 1
11:14:00	PackageKit          network state is wired
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          run pk_plugin_transaction_finished_end on /usr/lib64/packagekit-plugins/libpk_plugin-scan-desktop-files.so
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          is_default: 1
11:14:00	PackageKit          type: 1
11:14:00	PackageKit          network state is wired
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          run pk_plugin_transaction_finished_end on /usr/lib64/packagekit-plugins/libpk_plugin-update-package-cache.so
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          is_default: 1
11:14:00	PackageKit          type: 1
11:14:00	PackageKit          network state is wired
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          run pk_plugin_transaction_finished_end on /usr/lib64/packagekit-plugins/libpk_plugin-clear-firmware-requests.so
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          is_default: 1
11:14:00	PackageKit          type: 1
11:14:00	PackageKit          network state is wired
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          run pk_plugin_transaction_finished_end on /usr/lib64/packagekit-plugins/libpk_plugin-systemd-updates.so
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          is_default: 1
11:14:00	PackageKit          type: 1
11:14:00	PackageKit          network state is wired
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          run pk_plugin_transaction_finished_end on /usr/lib64/packagekit-plugins/libpk_plugin_scripts.so
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          is_default: 1
11:14:00	PackageKit          type: 1
11:14:00	PackageKit          network state is wired
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          run pk_plugin_transaction_finished_end on /usr/lib64/packagekit-plugins/libpk_plugin-clear-system-update.so
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          is_default: 1
11:14:00	PackageKit          type: 1
11:14:00	PackageKit          network state is wired
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          backend was running for 87 ms
11:14:00	PackageKit-Zif      failed to find install-media repo: failed to find store 'InstallMedia'
11:14:00	PackageKit          emitting finished 'failed', 87
11:14:00	PackageKit          transaction /4647_edccbebb completed, marking finished
11:14:00	PackageKit          transaction now finished
11:14:00	PackageKit          emmitting ::changed
11:14:00	PackageKit          emitting transaction-list-changed
11:14:00	PackageKit          2 transactions in list, 0 committed but not finished
11:14:06	PackageKit          transaction /4647_edccbebb completed, removing
11:14:06	PackageKit          remove transaction /4647_edccbebb, item 0x129c7120
11:14:06	PackageKit          emitting destroy /4647_edccbebb
11:14:09	PackageKit          checking consistency as length 1
11:14:09	PackageKit          State:
0	unknown	/4640_adbcaeab	state[new] exclusive[0] background[0]

11:14:09	PackageKit          1 have an unknown role (CreateTransaction then nothing?)
11:14:09	PackageKit          1 have not been committed and may be pending auth
[Thread 0x7f04fffff700 (LWP 5296) exited]
11:14:19	PackageKit          checking consistency as length 1
11:14:19	PackageKit          State:
0	unknown	/4640_adbcaeab	state[new] exclusive[0] background[0]

11:14:19	PackageKit          1 have an unknown role (CreateTransaction then nothing?)
11:14:19	PackageKit          1 have not been committed and may be pending auth
11:14:29	PackageKit          checking consistency as length 1
11:14:29	PackageKit          State:
0	unknown	/4640_adbcaeab	state[new] exclusive[0] background[0]

11:14:29	PackageKit          1 have an unknown role (CreateTransaction then nothing?)
11:14:29	PackageKit          1 have not been committed and may be pending auth
11:14:39	PackageKit          checking consistency as length 1
11:14:39	PackageKit          State:
0	unknown	/4640_adbcaeab	state[new] exclusive[0] background[0]

11:14:39	PackageKit          1 have an unknown role (CreateTransaction then nothing?)
11:14:39	PackageKit          1 have not been committed and may be pending auth
11:14:49	PackageKit          checking consistency as length 1
11:14:49	PackageKit          State:
0	unknown	/4640_adbcaeab	state[new] exclusive[0] background[0]

11:14:49	PackageKit          1 have an unknown role (CreateTransaction then nothing?)
11:14:49	PackageKit          1 have not been committed and may be pending auth
11:14:59	PackageKit          checking consistency as length 1
11:14:59	PackageKit          State:
0	unknown	/4640_adbcaeab	state[new] exclusive[0] background[0]

11:14:59	PackageKit          1 have an unknown role (CreateTransaction then nothing?)
11:14:59	PackageKit          1 have not been committed and may be pending auth
11:15:09	PackageKit          checking consistency as length 1
11:15:09	PackageKit          State:
0	unknown	/4640_adbcaeab	state[new] exclusive[0] background[0]

11:15:09	PackageKit          1 have an unknown role (CreateTransaction then nothing?)
11:15:09	PackageKit          1 have not been committed and may be pending auth
11:15:19	PackageKit          checking consistency as length 1
11:15:19	PackageKit          State:
0	unknown	/4640_adbcaeab	state[new] exclusive[0] background[0]

11:15:19	PackageKit          1 have an unknown role (CreateTransaction then nothing?)
11:15:19	PackageKit          1 have not been committed and may be pending auth
11:15:29	PackageKit          checking consistency as length 1
11:15:29	PackageKit          State:
0	unknown	/4640_adbcaeab	state[new] exclusive[0] background[0]

11:15:29	PackageKit          1 have an unknown role (CreateTransaction then nothing?)
11:15:29	PackageKit          1 have not been committed and may be pending auth
11:15:29	PackageKit          ID /4640_adbcaeab was not committed in time!
11:15:29	PackageKit          remove transaction /4640_adbcaeab, item 0x1f43b10
11:15:29	PackageKit          emitting destroy /4640_adbcaeab
Comment 14 Richard Hughes 2012-10-05 04:57:01 EDT
(In reply to comment #13)
> This is what I get from the terminal window but abrt does not mention a
> thing.

Can't you get it to crash when it's running under gdb?
Comment 15 D. Charles Pyle 2012-10-05 12:39:37 EDT
I have been unable to do it. I see abrt throw an error message about "PackageKit had a problem", gpk-application sits there and does nothing, but then nothing shows up in abrt when I go to look at the error. What was in the terminal window that I posted is what was left. I have no explanation.

I just applied some new updates to PackageKit so will be watching to see what else happens with PackageKit.

Another thing that gpk-update-viewer did in conjunction with this is say that there were no updates available but running Yum would show a whole slew of updates available within seconds of each other. This has happened three times so far but no errors are being thrown about it. I do not know whether this is connected or not but thought it worth mentioning.
Comment 16 D. Charles Pyle 2012-10-05 12:44:09 EDT
Just had a crash in PackageKit. abrt says nothing even though I got an abrt notification about PackageKit having a problem just as it crashed. I tried to run Yum afterward and now I see the following:

$ sudo yum clean all
error: rpmdb: BDB0113 Thread/process 27859/140152273880832 failed: BDB1507 Thread died in Berkeley DB library
error: db5 error(-30973) from dbenv->failchk: BDB0087 DB_RUNRECOVERY: Fatal error, run database recovery
error: cannot open Packages index using db5 -  (-30973)
error: cannot open Packages database in /var/lib/rpm
CRITICAL:yum.main:

Error: rpmdb open failed

Crap! I didn't have gdb running...
Comment 17 Elad Alfassa 2012-10-05 12:48:31 EDT
Seems that your rpmdb got corrupted, you need to rebuild it. 

sudo rm /var/lib/rpm/__db*
sudo rpm --rebuilddb 



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 18 D. Charles Pyle 2012-10-05 13:00:38 EDT
Ok, I just ran it again with gdb running. Here is what I just got while trying to enable a software (updates-debug) repository:

(packagekitd:32272): GLib-CRITICAL **: `(^sb)' is not a valid GVariant format string

(packagekitd:32272): GLib-CRITICAL **: g_variant_get: assertion `valid_format_string (format_string, TRUE, value)' failed
10:56:49	PackageKit          emitting changed
10:56:49	PackageKit          emitting changed
10:56:49	PackageKit          adding 0 at 2 (ms)
10:56:49	PackageKit          array too small
10:56:49	PackageKit          this will now take ~0 seconds
10:56:49	PackageKit          emitting changed

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7faeef7fe700 (LWP 32335)]
0x0000003c1a33afba in __strcmp_ssse3 () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install bzip2-libs-1.0.6-5.fc18.x86_64 elfutils-libelf-0.155-1.fc18.x86_64 gamin-0.1.10-13.fc18.x86_64 glib2-2.34.0-1.fc18.x86_64 glibc-2.16-17.fc18.x86_64 gpgme-1.3.2-1.fc18.x86_64 gvfs-1.14.0-1.fc18.x86_64 libacl-2.2.51-7.fc18.x86_64 libarchive-3.0.4-3.fc18.x86_64 libassuan-2.0.3-3.fc18.x86_64 libattr-2.4.46-7.fc18.x86_64 libbluray-0.2.3-1.fc18.x86_64 libcap-2.22-3.fc18.x86_64 libdb-5.3.21-3.fc18.x86_64 libffi-3.0.10-3.fc18.x86_64 libgcc-4.7.2-3.fc18.x86_64 libgpg-error-1.10-3.fc18.x86_64 libselinux-2.1.12-1.fc18.x86_64 libsoup-2.40.0-1.fc18.x86_64 libxml2-2.9.0-0rc1.fc18.x86_64 lua-5.1.4-11.fc18.x86_64 nspr-4.9.2-1.fc18.x86_64 nss-3.13.5-8.fc18.x86_64 nss-softokn-3.13.5-3.fc18.x86_64 nss-softokn-freebl-3.13.5-3.fc18.x86_64 nss-util-3.13.5-4.fc18.x86_64 openssl-libs-1.0.1c-7.fc18.x86_64 pcre-8.31-2.fc18.x86_64 polkit-0.107-3.fc18.x86_64 popt-1.13-12.fc18.x86_64 rpm-libs-4.10.1-1.fc18.x86_64 sqlite-3.7.13-2.fc18.x86_64 systemd-libs-194-1.fc18.x86_64 xz-libs-5.1.2-2alpha.fc18.x86_64 zif-0.3.2-1.fc18.x86_64 zlib-1.2.7-9.fc18.x86_64
(gdb) 

Still nothing in abrt, though.
Comment 19 D. Charles Pyle 2012-10-05 13:03:22 EDT
I already fixed the database problem but I have been seeing a lot of those corruptions since Fedora 17, almost always after a PackageKit crash, particularly with gpk-update-viewer. I still see nothing in abrt even though I receive notifications of PackageKit having a problem.
Comment 20 D. Charles Pyle 2012-10-05 13:08:16 EDT
I can't install debug packages now. I get the following:

sudo debuginfo-install bzip2-libs-1.0.6-5.fc18.x86_64 elfutils-libelf-0.155-1.fc18.x86_64 gamin-0.1.10-13.fc18.x86_64 glib2-2.34.0-1.fc18.x86_64 glibc-2.16-17.fc18.x86_64 gpgme-1.3.2-1.fc18.x86_64 gvfs-1.14.0-1.fc18.x86_64 libacl-2.2.51-7.fc18.x86_64 libarchive-3.0.4-3.fc18.x86_64 libassuan-2.0.3-3.fc18.x86_64 libattr-2.4.46-7.fc18.x86_64 libbluray-0.2.3-1.fc18.x86_64 libcap-2.22-3.fc18.x86_64 libdb-5.3.21-3.fc18.x86_64 libffi-3.0.10-3.fc18.x86_64 libgcc-4.7.2-3.fc18.x86_64 libgpg-error-1.10-3.fc18.x86_64 libselinux-2.1.12-1.fc18.x86_64 libsoup-2.40.0-1.fc18.x86_64 libxml2-2.9.0-0rc1.fc18.x86_64 lua-5.1.4-11.fc18.x86_64 nspr-4.9.2-1.fc18.x86_64 nss-3.13.5-8.fc18.x86_64 nss-softokn-3.13.5-3.fc18.x86_64 nss-softokn-freebl-3.13.5-3.fc18.x86_64 nss-util-3.13.5-4.fc18.x86_64 openssl-libs-1.0.1c-7.fc18.x86_64 pcre-8.31-2.fc18.x86_64 polkit-0.107-3.fc18.x86_64 popt-1.13-12.fc18.x86_64 rpm-libs-4.10.1-1.fc18.x86_64 sqlite-3.7.13-2.fc18.x86_64 systemd-libs-194-1.fc18.x86_64 xz-libs-5.1.2-2alpha.fc18.x86_64 zif-0.3.2-1.fc18.x86_64 zlib-1.2.7-9.fc18.x86_64
Loaded plugins: presto, refresh-packagekit
ERROR:dbus.proxies:Introspect error on :1.611:/org/freedesktop/PackageKit: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Yet, I can post this and access the network just fine.
Comment 21 Elad Alfassa 2012-10-05 13:17:35 EDT
(In reply to comment #20)
> Loaded plugins: presto, refresh-packagekit
> ERROR:dbus.proxies:Introspect error on :1.611:/org/freedesktop/PackageKit:
> dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not
> receive a reply. Possible causes include: the remote application did not
> send a reply, the message bus security policy blocked the reply, the reply
> timeout expired, or the network connection was broken.
This seems to be my fault (and also, unrelated to this specific bug, but thanks for telling me), we need better error handling in refresh-packagekit. to bypass this issue for now, try to run the same command with the parameter--disableplugin=refresh-packagekit
I will work on a patch for this tomorrow

(In reply to comment #19)
> I have been seeing a lot of those
> corruptions since Fedora 17, almost always after a PackageKit crash,
> particularly with gpk-update-viewer.
Okay, this means this bug is rather critical because it seems to me zif causes rpmdb corruptions



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 22 D. Charles Pyle 2012-10-05 15:01:24 EDT
I managed to get the packages listed in the above installed using yum. I had to remove the rpmfusion repositories before it would let me do it, however. This is the last I got from gdb:

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(packagekitd:5416): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fecfaffd700 (LWP 5603)]
magazine_chain_pop_head (magazine_chunks=0x7fecc4000a90) at gslice.c:532
532	      (*magazine_chunks)->data = chunk->next;
Missing separate debuginfos, use: debuginfo-install nss-mdns-0.10-11.fc18.x86_64
Comment 23 Richard Hughes 2012-10-05 17:10:14 EDT
(In reply to comment #18)
> (packagekitd:32272): GLib-CRITICAL **: `(^sb)' is not a valid GVariant

That's what I was looking for, thanks. I've applied this:

commit 565714d0deeb17d90558e83ba156010122075f39
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Oct 5 22:12:52 2012 +0100

    zif: Fix a critical warning when enabling a repository
    
    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=863181
Comment 24 Fedora End Of Life 2013-12-21 10:07:30 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 25 Fedora End Of Life 2014-02-05 17:49:10 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.